<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSoftDeletes extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('users', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('teams', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('team_user', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('payments', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('payment_clicks', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('ips', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('messages', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('packages', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('pppoe_packages', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('trials', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('logins', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('subscriptions', function (Blueprint $table) {
            $table->softDeletes();
        });
        Schema::table('settings', function (Blueprint $table) {
            $table->softDeletes();
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
